Connected Registries - Update

Updates a connected registry with the specified parameters.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerRegistry/registries/{registryName}/connectedRegistries/{connectedRegistryName}?api-version=2025-11-01

URI Parameters

Name In Required Type Description
connectedRegistryName
path True

string

minLength: 5
maxLength: 50
pattern: ^[a-zA-Z0-9]*$

The name of the connected registry.

registryName
path True

string

minLength: 5
maxLength: 50
pattern: ^[a-zA-Z0-9]*$

The name of the container registry.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties.clientTokenIds

string[]

The list of the ACR token resource IDs used to authenticate clients to the connected registry.

properties.garbageCollection

GarbageCollectionProperties

The garbage collection properties of the connected registry.

properties.logging

LoggingProperties

The logging properties of the connected registry.

properties.notificationsList

string[]

The list of notifications subscription information for the connected registry.

properties.syncProperties

SyncUpdateProperties

The sync properties of the connected registry with its parent.

Responses

Name Type Description
200 OK

ConnectedRegistry

Azure operation completed successfully.

201 Created

ConnectedRegistry

Resource 'ConnectedRegistry' create operation succeeded

Headers

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ConnectedRegistryUpdate

Sample request

PATCH https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/connectedRegistries/myScopeMap?api-version=2025-11-01

{
  "properties": {
    "syncProperties": {
      "schedule": "0 0 */10 * *",
      "messageTtl": "P30D",
      "syncWindow": "P2D"
    },
    "logging": {
      "logLevel": "Debug",
      "auditLogStatus": "Enabled"
    },
    "clientTokenIds": [
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/tokens/client1Token",
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/tokens/client2Token"
    ],
    "notificationsList": [
      "hello-world:*:*",
      "sample/repo/*:1.0:*"
    ],
    "garbageCollection": {
      "enabled": true,
      "schedule": "0 5 * * *"
    }
  }
}

Sample response

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/connectedRegistries/myConnectedRegistry",
  "name": "myConnectedRegistry",
  "type": "Microsoft.ContainerRegistry/registries/connectedRegistries",
  "properties": {
    "mode": "ReadWrite",
    "parent": {
      "syncProperties": {
        "tokenId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/tokens/syncToken",
        "schedule": "0 0 */10 * *",
        "messageTtl": "P30D",
        "syncWindow": "P2D"
      }
    },
    "clientTokenIds": [
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/tokens/client1Token",
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/tokens/client2Token"
    ],
    "logging": {
      "logLevel": "Debug",
      "auditLogStatus": "Enabled"
    },
    "notificationsList": [
      "hello-world:*:*",
      "sample/repo/*:1.0:*"
    ],
    "garbageCollection": {
      "enabled": true,
      "schedule": "0 5 * * *"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/connectedRegistries/myConnectedRegistry/operationStatuses/connectedregistries-00000000-0000-0000-0000-000000000000?api-version=2025-11-01
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/connectedRegistries/myConnectedRegistry",
  "name": "myConnectedRegistry",
  "type": "Microsoft.ContainerRegistry/registries/connectedRegistries",
  "properties": {
    "mode": "ReadWrite",
    "parent": {
      "syncProperties": {
        "tokenId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/tokens/syncToken",
        "schedule": "0 0 */10 * *",
        "messageTtl": "P30D",
        "syncWindow": "P2D"
      }
    },
    "clientTokenIds": [
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/tokens/client1Token",
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/tokens/client2Token"
    ],
    "logging": {
      "logLevel": "Debug",
      "auditLogStatus": "Enabled"
    },
    "notificationsList": [
      "hello-world:*:*",
      "sample/repo/*:1.0:*"
    ],
    "garbageCollection": {
      "enabled": true,
      "schedule": "0 5 * * *"
    }
  }
}

Definitions

Name Description
ActivationProperties

The activation properties of the connected registry.

ActivationStatus

The activation status of the connected registry.

AuditLogStatus

Indicates whether audit logs are enabled on the connected registry.

CertificateType

The type of certificate location.

ConnectedRegistry

An object that represents a connected registry for a container registry.

ConnectedRegistryMode

The mode of the connected registry resource that indicates the permissions of the registry.

ConnectedRegistryUpdateParameters

The parameters for updating a connected registry.

ConnectionState

The current connection state of the connected registry.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

GarbageCollectionProperties

The garbage collection properties of the connected registry.

LoggingProperties

The logging properties of the connected registry.

LoginServerProperties

The login server properties of the connected registry.

LogLevel

The verbosity of logs persisted on the connected registry.

ParentProperties

The properties of the connected registry parent.

ProvisioningState

The provisioning state of the archive at the time the operation was called.

StatusDetailProperties

The status detail properties of the connected registry.

SyncProperties

The sync properties of the connected registry with its parent.

SyncUpdateProperties

The parameters for updating the sync properties of the connected registry with its parent.

systemData

Metadata pertaining to creation and last modification of the resource.

TlsCertificateProperties

The TLS certificate properties of the connected registry login server.

TlsProperties

The TLS properties of the connected registry login server.

TlsStatus

Indicates whether HTTPS is enabled for the login server.

ActivationProperties

The activation properties of the connected registry.

Name Type Description
status

ActivationStatus

The activation status of the connected registry.

ActivationStatus

The activation status of the connected registry.

Value Description
Active
Inactive

AuditLogStatus

Indicates whether audit logs are enabled on the connected registry.

Value Description
Enabled
Disabled

CertificateType

The type of certificate location.

Value Description
LocalDirectory

ConnectedRegistry

An object that represents a connected registry for a container registry.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.activation

ActivationProperties

The activation properties of the connected registry.

properties.clientTokenIds

string[]

The list of the ACR token resource IDs used to authenticate clients to the connected registry.

properties.connectionState

ConnectionState

The current connection state of the connected registry.

properties.garbageCollection

GarbageCollectionProperties

The garbage collection properties of the connected registry.

properties.lastActivityTime

string (date-time)

The last activity time of the connected registry.

properties.logging

LoggingProperties

The logging properties of the connected registry.

properties.loginServer

LoginServerProperties

The login server properties of the connected registry.

properties.mode

ConnectedRegistryMode

The mode of the connected registry resource that indicates the permissions of the registry.

properties.notificationsList

string[]

The list of notifications subscription information for the connected registry.

properties.parent

ParentProperties

The parent of the connected registry.

properties.provisioningState

ProvisioningState

Provisioning state of the resource.

properties.statusDetails

StatusDetailProperties[]

The list of current statuses of the connected registry.

properties.version

string

The current version of ACR runtime on the connected registry.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ConnectedRegistryMode

The mode of the connected registry resource that indicates the permissions of the registry.

Value Description
ReadWrite
ReadOnly
Registry
Mirror

ConnectedRegistryUpdateParameters

The parameters for updating a connected registry.

Name Type Description
properties.clientTokenIds

string[]

The list of the ACR token resource IDs used to authenticate clients to the connected registry.

properties.garbageCollection

GarbageCollectionProperties

The garbage collection properties of the connected registry.

properties.logging

LoggingProperties

The logging properties of the connected registry.

properties.notificationsList

string[]

The list of notifications subscription information for the connected registry.

properties.syncProperties

SyncUpdateProperties

The sync properties of the connected registry with its parent.

ConnectionState

The current connection state of the connected registry.

Value Description
Online
Offline
Syncing
Unhealthy

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

GarbageCollectionProperties

The garbage collection properties of the connected registry.

Name Type Description
enabled

boolean

Indicates whether garbage collection is enabled for the connected registry.

schedule

string

The cron expression indicating the schedule that the connected registry will run garbage collection.

LoggingProperties

The logging properties of the connected registry.

Name Type Default value Description
auditLogStatus

AuditLogStatus

Disabled

Indicates whether audit logs are enabled on the connected registry.

logLevel

LogLevel

Information

The verbosity of logs persisted on the connected registry.

LoginServerProperties

The login server properties of the connected registry.

Name Type Description
host

string

The host of the connected registry. Can be FQDN or IP.

tls

TlsProperties

The TLS properties of the connected registry login server.

LogLevel

The verbosity of logs persisted on the connected registry.

Value Description
Debug
Information
Warning
Error
None

ParentProperties

The properties of the connected registry parent.

Name Type Description
id

string (arm-id)

The resource ID of the parent to which the connected registry will be associated.

syncProperties

SyncProperties

The sync properties of the connected registry with its parent.

ProvisioningState

The provisioning state of the archive at the time the operation was called.

Value Description
Creating
Updating
Deleting
Succeeded
Failed
Canceled

StatusDetailProperties

The status detail properties of the connected registry.

Name Type Description
code

string

The HTTP status code.

correlationId

string

The correlation ID of the status.

description

string

The description of the status.

timestamp

string (date-time)

The timestamp of the status.

type

string

The component of the connected registry corresponding to the status.

SyncProperties

The sync properties of the connected registry with its parent.

Name Type Description
gatewayEndpoint

string

The gateway endpoint used by the connected registry to communicate with its parent.

lastSyncTime

string (date-time)

The last time a sync occurred between the connected registry and its parent.

messageTtl

string (duration)

The period of time for which a message is available to sync before it is expired. Specify the duration using the format P[n]Y[n]M[n]DT[n]H[n]M[n]S as per ISO8601.

schedule

string

The cron expression indicating the schedule that the connected registry will sync with its parent.

syncWindow

string (duration)

The time window during which sync is enabled for each schedule occurrence. Specify the duration using the format P[n]Y[n]M[n]DT[n]H[n]M[n]S as per ISO8601.

tokenId

string

The resource ID of the ACR token used to authenticate the connected registry to its parent during sync.

SyncUpdateProperties

The parameters for updating the sync properties of the connected registry with its parent.

Name Type Description
messageTtl

string (duration)

The period of time for which a message is available to sync before it is expired. Specify the duration using the format P[n]Y[n]M[n]DT[n]H[n]M[n]S as per ISO8601.

schedule

string

The cron expression indicating the schedule that the connected registry will sync with its parent.

syncWindow

string (duration)

The time window during which sync is enabled for each schedule occurrence. Specify the duration using the format P[n]Y[n]M[n]DT[n]H[n]M[n]S as per ISO8601.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TlsCertificateProperties

The TLS certificate properties of the connected registry login server.

Name Type Description
location

string

Indicates the location of the certificates.

type

CertificateType

The type of certificate location.

TlsProperties

The TLS properties of the connected registry login server.

Name Type Description
certificate

TlsCertificateProperties

The certificate used to configure HTTPS for the login server.

status

TlsStatus

Indicates whether HTTPS is enabled for the login server.

TlsStatus

Indicates whether HTTPS is enabled for the login server.

Value Description
Enabled
Disabled